#
# Wayland-satellite Xwayland implementation.
#
# vim: et:ts=2:sw=2:
{
  rustPlatform,
  fetchFromGitHub,
  udev,
  pkg-config,
}:
rustPlatform.buildRustPackage rec {
  pname = "gps-share";
  version = "0.3.1";

  src = fetchFromGitHub {
    owner = "zeenix";
    repo = pname;
    rev = "${version}";
    hash = "sha256-Rh7Pt9JN30TyuxwHOn8dwZrUfmkknUhOGonbhROpGxA=";
  };

  cargoHash = "sha256-WhYHFaSZfnlEmlXFLj7BIt0agMFuz07LcAXJ9ZOOrvY=";

  buildInputs = [ udev ];
  nativeBuildInputs = [ pkg-config ];

  # Checks require a live device, so we'll skip them.
  doCheck = false;
}
